Bug 857651 - NetworkManager doesn't take NETBOOT into account anymore
NetworkManager doesn't take NETBOOT into account anymore
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-15 10:37 EDT by Nicolas Chauvet (kwizart)
Modified: 2013-07-24 05:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 05:16:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2012-09-15 10:37:55 EDT
Description of problem:
I'm using a network root fs from iscsi device.
The /boot been in a compact flash.
System is installed with kickstart from f17 GA.
Since some update I cannot network-boot anymore unless I using runlevel 1


Version-Release number of selected component (if applicable):
NetworkManager-0.9.4.0-9.git20120521.fc17.i686
dracut-network-018-98.git20120813.fc17.noarch

How reproducible:
always with network root.
Reproduced twice with a new installation.

Steps to Reproduce:
1. Install f17 on remote iscsi device
2. yum update to current
  
Actual results:
It fails to boot properly. the boot process stop after NetworkManager is activated.

Expected results:
It should boot properly

Additional info:
Initial configuration.
# Generated by dracut initrd
DEVICE=em1
ONBOOT=yes
NETBOOT=yes
UUID=6dfb0b9d-8b69-4096-8b81-6edde4125d6b
BOOTPROTO=dhcp
HWADDR="20:cf:30:e8:57:cf"
TYPE=Ethernet
NAME="Boot Disk"

I've manually added to make it network boot again.
NM_CONTROLLED=no
Comment 1 Fedora End Of Life 2013-07-03 18:02:37 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Nicolas Chauvet (kwizart) 2013-07-24 05:16:20 EDT
There is clearly a bug in the f17 updates from the f17 that will render the NetworkManager to clash with rootfs over iscsi.
That been said, It's working fine with f19, so closing

Note You need to log in before you can comment on or make changes to this bug.